﻿namespace CursorTest
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;

    using Steema.TeeChart;
    using Steema.TeeChart.Tools;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.tChart1.Import.Template.Load(@"..\..\test.ten");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.editor1.ShowModal();
        }

        private void tChart1_MouseDown(object sender, MouseEventArgs e)
        {
            var strgPressed = ModifierKeys == Keys.Control;
            var shiftPressed = ModifierKeys == Keys.Shift;
            var bothPressed = ModifierKeys == (Keys.Shift | Keys.Control);

            if (e.Button == MouseButtons.Left)
            {
                if (!strgPressed & !shiftPressed) { this.tChart1.Zoom.Direction = ZoomDirections.Both; }
                if (strgPressed) { this.tChart1.Zoom.Direction = ZoomDirections.Horizontal; }
                if (shiftPressed) { this.tChart1.Zoom.Direction = ZoomDirections.Vertical; }
            }
        }

        private void tChart1_Zoomed(object sender, EventArgs e)
        {
            if (this.tChart1.Zoom.Direction == ZoomDirections.Both ||
                this.tChart1.Zoom.Direction == ZoomDirections.Vertical)
            {
                for (int i = 0; i < this.tChart1.Axes.Count; i++)
                {
                    var axis = this.tChart1.Axes[i];
                    if (!axis.Horizontal && axis.IsCustom())
                    {
                        axis.SetMinMax(
                            axis.CalcPosPoint(((TChart)sender).Zoom.y1),
                            axis.CalcPosPoint(((TChart)sender).Zoom.y0));
                    }
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var strgPressed = ModifierKeys == Keys.Control;

            var addon = -5;
            if (strgPressed)
            {
                addon = 5;
            }

            var x = this.tChart1.Chart.ChartRect.Left + addon;
            var y = this.tChart1.Chart.ChartRect.Top + addon;
            var w = (this.tChart1.Chart.ChartRect.Right - addon) - x;
            var h = (this.tChart1.Chart.ChartRect.Bottom - addon) - y;

            var r = new Rectangle(x, y, w, h);

            this.tChart1.Zoom.ZoomRect(r);
        }
    }
}